pangomm: Pango::LayoutRun Class Reference

pangomm 2.28.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Pango::LayoutRun Class Reference

A Pango::LayoutRun represents a single run within a LayoutLine. More...

Collaboration diagram for Pango::LayoutRun:
[legend]

List of all members.

## Public Member Functions
| LayoutRun ()
| LayoutRun (PangoGlyphItem* gobject, bool make_a_copy=true)
| LayoutRun (const LayoutRun& other)
LayoutRun& | operator= (const LayoutRun& other)
| ~LayoutRun ()
void | swap (LayoutRun& other)
PangoGlyphItem* | gobj ()
| Provides access to the underlying C instance.
const PangoGlyphItem* | gobj () const
| Provides access to the underlying C instance.
PangoGlyphItem* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
## Protected Attributes
PangoGlyphItem* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (LayoutRun& lhs, LayoutRun& rhs)
Pango::LayoutRun | wrap (PangoGlyphItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::LayoutRun represents a single run within a LayoutLine.

It is simply an alternate name for GlyphItem.

## Constructor & Destructor Documentation

Pango::LayoutRun::LayoutRun | ( |  | ) |

Pango::LayoutRun::LayoutRun | ( | PangoGlyphItem * | gobject,
|  | bool | make_a_copy = `true`
| ) |  | `[explicit]`

Pango::LayoutRun::LayoutRun | ( | const LayoutRun& | other | ) |

Pango::LayoutRun::~LayoutRun | ( |  | ) |

## Member Function Documentation

PangoGlyphItem* Pango::LayoutRun::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

const PangoGlyphItem* Pango::LayoutRun::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

PangoGlyphItem* Pango::LayoutRun::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

LayoutRun& Pango::LayoutRun::operator= | ( | const LayoutRun& | other | ) |

void Pango::LayoutRun::swap | ( | LayoutRun& | other | ) |

## Friends And Related Function Documentation

void swap | ( | LayoutRun& | lhs,
|  | LayoutRun& | rhs
| ) |  | `[related]`

Parameters:

  lhs | The left-hand side
  rhs | The right-hand side

Pango::LayoutRun wrap | ( | PangoGlyphItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

PangoGlyphItem* Pango::LayoutRun::gobject_`[protected]`

The documentation for this class was generated from the following file:

- pangomm/layoutrun.h